API DocumentationAccount
Get current user quota
Returns resource quota limits and usage for the authenticated user.
Authorization
bearer_auth AuthorizationBearer <token>
Authentication
Create an API token on Profile. Send it in the Authorization header:
Authorization: Bearer os1_...Do not use the Keycloak web-session JWT as an API token. Keep the secret secure and do not share it.
In: header
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/account/quota"{ "total": { "units": 1, "cpu": 1, "memory": 1, "disk": 25, "block_storage": 50, "bandwidth": null, "network_io": null, "disk_io": null, "vpcs": 1 }, "remaining": { "units": 0.5, "cpu": 0, "memory": 0, "disk": 10, "block_storage": 40, "bandwidth": null, "network_io": null, "disk_io": null, "vpcs": 0 }}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized. Send POST /v1/init, then retry the request." } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}